Bug 1126413 - On Instance page "More" button but no "Back" option
Summary: On Instance page "More" button but no "Back" option
Keywords:
Status: CLOSED EOL
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: python-django-horizon
Version: 5.0 (RHEL 6)
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: ---
: 11.0 (Ocata)
Assignee: Radomir Dopieralski
QA Contact: Ido Ovadia
URL:
Whiteboard:
: 1341967 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-04 11:46 UTC by Tzach Shefi
Modified: 2018-06-22 12:31 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-06-22 12:31:56 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
OpenStack gerrit 289314 None None None 2016-04-26 12:53:11 UTC
Launchpad 1282987 None None None Never

Description Tzach Shefi 2014-08-04 11:46:35 UTC
Description of problem: If your deployment has many instances, on bottom of Instance page you should see a "More" button, clicking on it will take you to the next set of instances, but on this next screen there is no "Back" button to return to first set of instances. 

Version-Release number of selected component (if applicable):
RHEL6.5
python-django-horizon-2014.1.1-2.el6ost.noarch

BTW also happens on Havana
python-django-horizon-2013.2.3-1.el6ost.noarch

How reproducible:
Every time

Steps to Reproduce:
1. Boot up many instances, even small ones.
2. On Instance page, click on More button to move to the next set of instances.
3. Now if you wish to return to first set of instances, you should get a "Back" button but it's missing.

Actual results:
Can't return to first page of instances, well I can if hit back on the web browsers or click on instances on navigation bar. 

Expected results:
If we have a "More" button we should have a "Back" button as well :) 

Someone already created an LP bug, but I didn't find any mention of this on Bugzilla figured I should open bug and link LP.

Comment 1 Matthias Runge 2014-08-04 18:23:04 UTC
Why is this urgent?

Comment 2 Tzach Shefi 2014-08-05 06:16:51 UTC
Urgent for lack of a better options, it should probably be lower you decide which one, it's mostly annoying from a user's point of view. 

Having a "More" button brings with it an added expectation of being able to go back.

Originally posted on LP at 2014-02-21 many duplicates and flames, this isn't urgent functionally wise but it's annoying and should have been fixed already hence my feeling of urgency, mostly to avoid user frustration.

Comment 3 Julie Pichon 2014-08-20 09:31:17 UTC
Upstream's aware of the issue and working on it, it is quite annoying indeed. Progress is slow because changing pagination requires changing the APIs and clients for every other service.

Comment 8 Matthias Runge 2015-07-15 08:52:36 UTC
probably to be solved by project searchlight and its integration in horizon.

Comment 9 Tzach Shefi 2015-10-26 11:19:30 UTC
Guess wasn't pushed into 8 yet. 
Installed a recent Liberty RDO build over centos, still missing a "Back" button. 

Version
python-django-horizon-8.0.0.0-rc2.dev7.el7.centos.noarch

Comment 10 Matthias Runge 2015-11-10 09:01:21 UTC
Nova api still doesn't support paginating. There's not much, horizon  can do at all.

Comment 11 Itxaka 2016-04-26 12:53:11 UTC
Patch upstream to provide full pagination to instances list: https://review.openstack.org/#/c/289314/

Comment 12 Matthias Runge 2016-06-03 10:35:14 UTC
*** Bug 1341967 has been marked as a duplicate of this bug. ***

Comment 13 Matthias Runge 2016-06-15 11:51:12 UTC
The upstream feature is still not merged. This is a new feature, moving to next release.

Comment 15 Jason E. Rist 2016-10-18 15:44:24 UTC
• proposed patch upstream, last activity 4 months ago, seems abandoned
• needs work upstream

Comment 18 Scott Lewis 2018-06-22 12:31:56 UTC
OSP11 is now retired, see details at https://access.redhat.com/errata/product/191/ver=11/rhel---7/x86_64/RHBA-2018:1828


Note You need to log in before you can comment on or make changes to this bug.